> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# User Details

> This endpoint returns the public information about a Twitter profile



## OpenAPI

````yaml /openapi/x.openapi.json get /v1/data/x/user/details
openapi: 3.0.0
info:
  title: agntdata X (Twitter) API
  description: >-
    Introducing "The Old Bird" API, a robust Twitter API designed to unlock
    valuable Twitter data effortlessly. With this API, you can access tweet
    details, user followers, followings, post engagements, and more. Explore
    top, latest, videos, photos, and people through our comprehensive search
    functionality. Retrieve user-specific information, including tweets,
    replies, media, likes, and profile details by username or ID.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: User
    description: ''
  - name: Search
    description: ''
  - name: Hashtag
    description: ''
  - name: Tweet
    description: ''
  - name: Lists
    description: ''
  - name: Trends
    description: ''
  - name: Translation
    description: Translate Service
  - name: AI
    description: A set of AI related services
paths:
  /v1/data/x/user/details:
    get:
      tags:
        - User
      summary: User Details
      description: This endpoint returns the public information about a Twitter profile
      operationId: User_Details_get__user_details
      parameters:
        - name: username
          in: query
          required: false
          schema:
            type: string
            default: elonmusk
        - name: user_id
          in: query
          required: false
          schema:
            type: string
            default: '44196397'
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_x_user_details_Response'
              example:
                creation_date: Tue Jun 02 20:12:29 +0000 2009
                user_id: '44196397'
                username: elonmusk
                name: Kekius Maximus
                follower_count: 219778480
                following_count: 1134
                favourites_count: 147042
                is_private: null
                is_verified: false
                is_blue_verified: true
                location: ''
                profile_pic_url: >-
                  https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                profile_banner_url: https://pbs.twimg.com/profile_banners/44196397/1739948056
                description: ''
                external_url: null
                number_of_tweets: 78883
                bot: false
                timestamp: 1243973549
                has_nft_avatar: false
                category: null
                default_profile: false
                default_profile_image: false
                listed_count: 162327
                verified_type: null
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_x_user_details_Response422'
              example:
                detail:
                  - loc: []
                    msg: ''
                    type: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_x_user_details_Response:
      type: object
      properties:
        creation_date:
          type: string
        user_id:
          type: string
        username:
          type: string
        name:
          type: string
        follower_count:
          type: integer
        following_count:
          type: integer
        is_private:
          type: boolean
        is_verified:
          type: boolean
        location:
          type: string
        profile_pic_url:
          type: string
        description:
          type: string
        external_url:
          type: string
        number_of_tweets:
          type: integer
        bot:
          type: boolean
        timestamp:
          type: integer
    Get_x_user_details_Response422:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            title: ValidationError
            required:
              - loc
              - msg
              - type
            type: object
            properties:
              loc:
                title: Location
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: integer
              msg:
                title: Message
                type: string
              type:
                title: Error Type
                type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````